<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->

<html xmlns:th="http://www.w3.org/1999/xhtml">
<div class="operation-list" role="main" th:with="statuses = ${ {'settingsTest', 'inProgress', 'future', 'past'} }">
    <h1 th:if="${context == ''}" th:text="#{operation.welcome} + ' ' + #{${'main.canton.' + canton}}"></h1>
    <h1 th:if="${context == '/test'}" th:text="#{operation.test.welcome} + ' ' + #{${'main.canton.' + canton}}"></h1>

    <div th:if="${vo.noOperation}">
        <span th:text="#{operation.list.empty}"></span>
    </div>
    <div th:each="status: ${statuses}" th:with="prop = ${'vo.' + status + 'OperationSummaries'}">
        <div th:if="${!#lists.isEmpty(vo.__${status}__OperationSummaries)}">
            <h2 th:utext="#{${'operation.list.' + status}}"></h2>

            <div th:if="${not #lists.isEmpty(vo.__${status}__OperationSummaries)}">
                <ul>
                    <li th:each="operation: ${vo.__${status}__OperationSummaries}">
                        <a th:if="${status == 'inProgress' || status == 'settingsTest'}"
                           th:href="${vo.voteUrl + context + '/vote/' + canton + '/' + operation.protocolInstanceId + '/' + #locale.language}"
                           class="operation-label">
                            <abbr th:text="${operation.label + ' - ' + #temporals.format(operation.date, 'd MMMM yyyy')}"></abbr>
                        </a>
                        <span th:if="${status != 'inProgress' && status != 'settingsTest'}"
                              th:text="${operation.label + ' - ' + #temporals.format(operation.date, 'd MMMM yyyy')}"
                              class="operation-label"></span>

                        <span th:if="${operation.votingPeriod != null}"
                          th:text="#{operation.list.description(
                        ${#temporals.format(operation.votingPeriod.openingDate, 'dd.MM.yyyy HH:mm')},
                        ${#temporals.format(operation.votingPeriod.closingDate, 'dd.MM.yyyy HH:mm')})}"
                              class="operation-description"></span>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>
